[MAVERICK] Dell 6510 - grub-efi package failed to install into /target/

Bug #632642 reported by Manoj Iyer on 2010-09-07
156
This bug affects 33 people
Affects Status Importance Assigned to Milestone
grub-installer (Ubuntu)
High
Colin Watson
Maverick
High
Colin Watson
grub2 (Ubuntu)
High
Colin Watson
Maverick
High
Colin Watson
ubiquity (Ubuntu)
High
Colin Watson
Maverick
High
Colin Watson

Bug Description

Binary package hint: grub2

installing Maverick daily iso (Sept 7th) on Dell Latitude 6510 UEFI fails to install grub-efi into /target/

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: grub-efi (not installed)
ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
Uname: Linux 2.6.35-19-generic x86_64
Architecture: amd64
Date: Tue Sep 7 14:31:23 2010
LiveMediaBuild: Ubuntu 10.10 "Maverick Meerkat" - Alpha amd64 (20100906)
ProcEnviron:
 LANGUAGE=
 PATH=(custom, no user)
 LANG=en_US.UTF-8
SourcePackage: grub2

Manoj Iyer (manjo) wrote :
Changed in grub2 (Ubuntu):
importance: Undecided → High
assignee: nobody → Colin Watson (cjwatson)
Manoj Iyer (manjo) wrote :
Manoj Iyer (manjo) wrote :

I collected these logs with ubiquity -d incase this helps.

Manoj Iyer (manjo) wrote :

superm1 pointed me to this hack..

--- grub-installer~ 2010-09-07 15:12:28.542132968 -0500
+++ grub-installer 2010-09-07 15:12:41.454228011 -0500
@@ -528,7 +528,7 @@
  fi
  ;;
    *)
- apt-install $grub_package || exit_code=$?
+ apt-install grub-efi-amd64 || exit_code=$?
  ;;
 esac

which got the system installed, but on boot from UEFI HDD I got ..
error: unknown filesystem.
grub rescue>

Mario Limonciello (superm1) wrote :

At that point, manually insmoding (hd1,gpt2)/boot/grub/minicmd.mod lets you use 'set' to see that prefix and root were both set wrong.

prefix was set to (hd1,gpt1)/boot/grub
and root was set to hd1,gpt1

I think these should both be (hd1,gpt2) and hd1,gpt2 respectively since the modules and conffile do not live on the EFI system partition.

Colin Watson (cjwatson) wrote :

ubiquity is going to need some special handling here.

Comment #5: could you please file a new bug for this part?

affects: grub2 (Ubuntu) → ubiquity (Ubuntu)
Colin Watson (cjwatson) on 2010-09-08
Changed in ubiquity (Ubuntu Maverick):
milestone: none → ubuntu-10.10
status: New → Triaged
Colin Watson (cjwatson) wrote :

It looks like it should also help matters if grub-efi-amd64 conflicts with grub-pc as well as the other way round, so that apt views grub-pc more as an alternative than as a superior replacement.

Changed in grub2 (Ubuntu Maverick):
status: New → Triaged
importance: Undecided → High
milestone: none → ubuntu-10.10
assignee: nobody → Colin Watson (cjwatson)
Colin Watson (cjwatson) on 2010-09-08
Changed in grub-installer (Ubuntu Maverick):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Colin Watson (cjwatson)
Changed in grub2 (Ubuntu Maverick):
status: Triaged → Fix Committed
Changed in ubiquity (Ubuntu Maverick):
status: Triaged → Fix Committed
Changed in grub-installer (Ubuntu Maverick):
milestone: none → ubuntu-10.10
Colin Watson (cjwatson) on 2010-09-08
Changed in grub-installer (Ubuntu Maverick):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub-installer - 1.55ubuntu3

---------------
grub-installer (1.55ubuntu3) maverick; urgency=low

  * Purge grub-efi* when $grub_package is grub or grub-pc, and purge grub,
    grub-legacy, and grub-pc when $grub_package is grub-efi (LP: #632642).
 -- Colin Watson <email address hidden> Wed, 08 Sep 2010 10:29:51 +0100

Changed in grub-installer (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package grub2 - 1.98+20100804-4ubuntu5

---------------
grub2 (1.98+20100804-4ubuntu5) maverick; urgency=low

  [ Colin Watson ]
  * Make grub-efi-amd64 conflict with grub-pc as well as the other way round
    (LP: #632642).
  * Extend EFI initialisation code to understand (,$partition)-style
    prefixes. If the EFI System Partition is on the same disk as
    /boot/grub, use this rather than allowing GRUB to set the prefix to the
    EFI System Partition by default (LP: #632775). (If they're on different
    disks, grub-install already used a UUID to find /boot/grub.)

  [ Mario Limonciello ]
  * Modify ubuntu_efi_install to check for case-insensitive EFI distributor.
    (LP: #632706)
 -- Colin Watson <email address hidden> Wed, 08 Sep 2010 13:41:18 +0100

Changed in grub2 (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.3.17

---------------
ubiquity (2.3.17) maverick; urgency=low

  [ Evan Dandrea ]
  * Fetch the translations for the release_notes_only and
    update_installer_only strings (LP: #629627).
  * Don't use the same name for the error method and GTK label
    (LP: #631046).
  * Re-use the valid username check from user-setup in the GTK UI
    (LP: #631046).
  * Do not cut off the text of the Try and Install buttons by setting
    their width to just the largest initial width of the two
    (LP: #629437).
  * Update the panel to use the new location for the panel background,
    and force a redraw when setting it.
  * If the username only contains non-alphanumeric characters, set the
    hostname to ubuntu-{laptop,desktop}.
  * Replace RELEASE with the release name in the KDE UI finished dialog
    (LP: #628964).
  * Do not look for a full path on non-paths when getting the default
    grub target.
  * Fix a crash when there are no disks present on the system
    (LP: #631766).
  * Don't let the user continue if there are no disks present, or if
    there isn't enough free space on any of them to install.
  * Fix UI bugs in the automatic partitioner page. Better handle
    determining what the desired partitioning recipe is (LP: #630450).
  * Update the KDE partitioning UI to reflect changes to ubi-partman and
    partman-auto.
    - Use the already existent ubiquity variants of the d-i "Guided -" strings
      (LP: #628864).
    - Fix the automatic resize option failing to appear
      (LP: #628897, LP: #628815).
    - Use a combobox to select which disk to use on all options that support
      multiple disks, not just the "use entire disk" option.
  * Add notification area support in the panel.
  * Drop ia64 and sparc.
  * Run nm-applet in the ubiquity GTK session.

  [ Colin Watson ]
  * Factor out common /proc/mounts handling into a new
    ubiquity.misc.mount_info function.
  * Remove lpia architecture support.
  * Handle grub-efi when installing on amd64/efi or i386/efi
    subarchitectures (LP: #632642).

  [ Mario Limonciello ]
  * Adjust the fudge factor for showing languages on oem-config page
    due to the changes to the default window size being much bigger.
  * During oem-config's removal of ubiquity, remove other ubiquity
    related items that might have potentially still been on the system
    from a live-helper generated image.
  * Refactor mount_info to also report ro/rw, and let plugininstall
    key off that instead.
  * Set the panel indicators to show up on the right to match the rest
    of the desktop (LP: #632592)
  * Automatic update of included source packages: grub-installer
    1.55ubuntu3.
 -- Mario Limonciello <email address hidden> Wed, 08 Sep 2010 14:43:59 -0500

Changed in ubiquity (Ubuntu Maverick):
status: Fix Committed → Fix Released
Hedley Finger (hedley-finger) wrote :

Windows 10 Pro & Ubuntu 18.04 LTS Bionic Beaver dual boot on Dell Vostro 2520 64bit Intel i5
Previous attempt to update Intel graphics driver outside the package system failed
Reinstallation of 18.04 over damaged installation proceeded okay until message (paraphrased) grub-UEFO-amd64 package did not install

Colin Watson (cjwatson) wrote :

@hedley-finger, you would be *much* better advised to file a new bug than to tag onto the end of this long-fixed bug. Your problem is almost certainly not in fact the same underlying cause as this one, even if the symptoms are similar.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers